# Record TCefv8Handler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefv8Handler = record`

## Description

Structure that should be implemented to handle V8 function calls. The functions of this structure will be called on the thread associated with the V8 function.

NOTE: This struct is allocated client-side.

Implemented by ICefv8Handler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_handler_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `execute: function(self: PCefv8Handler; const name: PCefString; object_: PCefv8Value; argumentsCount: NativeUInt; const arguments: PPCefV8Value; var retval: PCefV8Value; exception: PCefString): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `execute: function(self: PCefv8Handler; const name: PCefString; object_: PCefv8Value; argumentsCount: NativeUInt; const arguments: PPCefV8Value; var retval: PCefV8Value; exception: PCefString): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.